<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_80) on Wed Sep 20 14:52:14 UTC 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>ResolutionResult (Gradle API 4.2)</title>
<meta name="date" content="2017-09-20">
<link rel="stylesheet" type="text/css" href="../../../../../javadoc.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="ResolutionResult (Gradle API 4.2)";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../org/gradle/api/artifacts/result/DependencyResult.html" title="interface in org.gradle.api.artifacts.result"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../../../org/gradle/api/artifacts/result/ResolvedArtifactResult.html" title="interface in org.gradle.api.artifacts.result"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/gradle/api/artifacts/result/ResolutionResult.html" target="_top">Frames</a></li>
<li><a href="ResolutionResult.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.gradle.api.artifacts.result</div>
<h2 title="Interface ResolutionResult" class="title">Interface ResolutionResult</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre><a href="../../../../../org/gradle/api/Incubating.html" title="annotation in org.gradle.api">@Incubating</a>
public interface <span class="strong">ResolutionResult</span></pre>
<div class="block">Contains the information about the result of dependency resolution. You can use this type to determine all the component instances that are included
 in the resolved dependency graph, and the dependencies between them.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method_summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span>Methods</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/artifacts/result/ResolutionResult.html#allComponents(org.gradle.api.Action)">allComponents</a></strong>(<a href="../../../../../org/gradle/api/Action.html" title="interface in org.gradle.api">Action</a>&lt;? super <a href="../../../../../org/gradle/api/artifacts/result/ResolvedComponentResult.html" title="interface in org.gradle.api.artifacts.result">ResolvedComponentResult</a>&gt;&nbsp;action)</code>
<div class="block">Applies given action for each component.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/artifacts/result/ResolutionResult.html#allComponents(groovy.lang.Closure)">allComponents</a></strong>(<a href="http://docs.groovy-lang.org/docs/groovy-2.4.11/html/gapi/groovy/lang/Closure.html?is-external=true" title="class or interface in groovy.lang">Closure</a>&nbsp;closure)</code>
<div class="block">Applies given closure for each component.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/artifacts/result/ResolutionResult.html#allDependencies(org.gradle.api.Action)">allDependencies</a></strong>(<a href="../../../../../org/gradle/api/Action.html" title="interface in org.gradle.api">Action</a>&lt;? super <a href="../../../../../org/gradle/api/artifacts/result/DependencyResult.html" title="interface in org.gradle.api.artifacts.result">DependencyResult</a>&gt;&nbsp;action)</code>
<div class="block">Applies given action for each dependency.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/artifacts/result/ResolutionResult.html#allDependencies(groovy.lang.Closure)">allDependencies</a></strong>(<a href="http://docs.groovy-lang.org/docs/groovy-2.4.11/html/gapi/groovy/lang/Closure.html?is-external=true" title="class or interface in groovy.lang">Closure</a>&nbsp;closure)</code>
<div class="block">Applies given closure for each dependency.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/util/Set.html?is-external=true" title="class or interface in java.util">Set</a>&lt;<a href="../../../../../org/gradle/api/artifacts/result/ResolvedComponentResult.html" title="interface in org.gradle.api.artifacts.result">ResolvedComponentResult</a>&gt;</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/artifacts/result/ResolutionResult.html#getAllComponents()">getAllComponents</a></strong>()</code>
<div class="block">Retrieves all instances of <a href="../../../../../org/gradle/api/artifacts/result/ResolvedComponentResult.html" title="interface in org.gradle.api.artifacts.result"><code>ResolvedComponentResult</code></a> from the graph,
 e.g.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/util/Set.html?is-external=true" title="class or interface in java.util">Set</a>&lt;? extends <a href="../../../../../org/gradle/api/artifacts/result/DependencyResult.html" title="interface in org.gradle.api.artifacts.result">DependencyResult</a>&gt;</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/artifacts/result/ResolutionResult.html#getAllDependencies()">getAllDependencies</a></strong>()</code>
<div class="block">Retrieves all dependencies, including unresolved dependencies.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../org/gradle/api/artifacts/result/ResolvedComponentResult.html" title="interface in org.gradle.api.artifacts.result">ResolvedComponentResult</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/artifacts/result/ResolutionResult.html#getRoot()">getRoot</a></strong>()</code>
<div class="block">Gives access to the root of resolved dependency graph.</div>
</td>
</tr>
</table>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method_detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getRoot()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getRoot</h4>
<pre><a href="../../../../../org/gradle/api/artifacts/result/ResolvedComponentResult.html" title="interface in org.gradle.api.artifacts.result">ResolvedComponentResult</a>&nbsp;getRoot()</pre>
<div class="block">Gives access to the root of resolved dependency graph.
 You can walk the graph recursively from the root to obtain information about resolved dependencies.
 For example, Gradle's built-in 'dependencies' task uses this to render the dependency tree.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>the root node of the resolved dependency graph</dd></dl>
</li>
</ul>
<a name="getAllDependencies()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getAllDependencies</h4>
<pre><a href="https://docs.oracle.com/javase/7/docs/api/java/util/Set.html?is-external=true" title="class or interface in java.util">Set</a>&lt;? extends <a href="../../../../../org/gradle/api/artifacts/result/DependencyResult.html" title="interface in org.gradle.api.artifacts.result">DependencyResult</a>&gt;&nbsp;getAllDependencies()</pre>
<div class="block">Retrieves all dependencies, including unresolved dependencies.
 Resolved dependencies are represented by instances of <a href="../../../../../org/gradle/api/artifacts/result/ResolvedDependencyResult.html" title="interface in org.gradle.api.artifacts.result"><code>ResolvedDependencyResult</code></a>,
 unresolved dependencies by <a href="../../../../../org/gradle/api/artifacts/result/UnresolvedDependencyResult.html" title="interface in org.gradle.api.artifacts.result"><code>UnresolvedDependencyResult</code></a>.

 In dependency graph terminology, this method returns the edges of the graph.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>all dependencies, including unresolved dependencies.</dd></dl>
</li>
</ul>
<a name="allDependencies(org.gradle.api.Action)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>allDependencies</h4>
<pre>void&nbsp;allDependencies(<a href="../../../../../org/gradle/api/Action.html" title="interface in org.gradle.api">Action</a>&lt;? super <a href="../../../../../org/gradle/api/artifacts/result/DependencyResult.html" title="interface in org.gradle.api.artifacts.result">DependencyResult</a>&gt;&nbsp;action)</pre>
<div class="block">Applies given action for each dependency.
 An instance of <a href="../../../../../org/gradle/api/artifacts/result/DependencyResult.html" title="interface in org.gradle.api.artifacts.result"><code>DependencyResult</code></a> is passed as parameter to the action.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>action</code> - - action that is applied for each dependency</dd></dl>
</li>
</ul>
<a name="allDependencies(groovy.lang.Closure)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>allDependencies</h4>
<pre>void&nbsp;allDependencies(<a href="http://docs.groovy-lang.org/docs/groovy-2.4.11/html/gapi/groovy/lang/Closure.html?is-external=true" title="class or interface in groovy.lang">Closure</a>&nbsp;closure)</pre>
<div class="block">Applies given closure for each dependency.
 An instance of <a href="../../../../../org/gradle/api/artifacts/result/DependencyResult.html" title="interface in org.gradle.api.artifacts.result"><code>DependencyResult</code></a> is passed as parameter to the closure.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>closure</code> - - closure that is applied for each dependency</dd></dl>
</li>
</ul>
<a name="getAllComponents()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getAllComponents</h4>
<pre><a href="https://docs.oracle.com/javase/7/docs/api/java/util/Set.html?is-external=true" title="class or interface in java.util">Set</a>&lt;<a href="../../../../../org/gradle/api/artifacts/result/ResolvedComponentResult.html" title="interface in org.gradle.api.artifacts.result">ResolvedComponentResult</a>&gt;&nbsp;getAllComponents()</pre>
<div class="block">Retrieves all instances of <a href="../../../../../org/gradle/api/artifacts/result/ResolvedComponentResult.html" title="interface in org.gradle.api.artifacts.result"><code>ResolvedComponentResult</code></a> from the graph,
 e.g. all nodes of the dependency graph.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>all nodes of the dependency graph.</dd></dl>
</li>
</ul>
<a name="allComponents(org.gradle.api.Action)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>allComponents</h4>
<pre>void&nbsp;allComponents(<a href="../../../../../org/gradle/api/Action.html" title="interface in org.gradle.api">Action</a>&lt;? super <a href="../../../../../org/gradle/api/artifacts/result/ResolvedComponentResult.html" title="interface in org.gradle.api.artifacts.result">ResolvedComponentResult</a>&gt;&nbsp;action)</pre>
<div class="block">Applies given action for each component.
 An instance of <a href="../../../../../org/gradle/api/artifacts/result/ResolvedComponentResult.html" title="interface in org.gradle.api.artifacts.result"><code>ResolvedComponentResult</code></a> is passed as parameter to the action.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>action</code> - - action that is applied for each component</dd></dl>
</li>
</ul>
<a name="allComponents(groovy.lang.Closure)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>allComponents</h4>
<pre>void&nbsp;allComponents(<a href="http://docs.groovy-lang.org/docs/groovy-2.4.11/html/gapi/groovy/lang/Closure.html?is-external=true" title="class or interface in groovy.lang">Closure</a>&nbsp;closure)</pre>
<div class="block">Applies given closure for each component.
 An instance of <a href="../../../../../org/gradle/api/artifacts/result/ResolvedComponentResult.html" title="interface in org.gradle.api.artifacts.result"><code>ResolvedComponentResult</code></a> is passed as parameter to the closure.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>closure</code> - - closure that is applied for each component</dd></dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../org/gradle/api/artifacts/result/DependencyResult.html" title="interface in org.gradle.api.artifacts.result"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../../../org/gradle/api/artifacts/result/ResolvedArtifactResult.html" title="interface in org.gradle.api.artifacts.result"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/gradle/api/artifacts/result/ResolutionResult.html" target="_top">Frames</a></li>
<li><a href="ResolutionResult.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
